unit _Moneys;
interface
uses
	Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
	StdCtrls, Utils, ExtCtrls;

type
	TMoneys = class(TForm)
		OK: TButton;
		Reset: TButton;
		Panel1: TPanel;
		Money0: TLabel;
		Money1: TLabel;
		Money2: TLabel;
		Money3: TLabel;
		Name3: TLabel;
		Name2: TLabel;
		Name1: TLabel;
		Name0: TLabel;
    Info: TLabel;
		procedure Load;
		procedure Save;
		procedure ResetClick(Sender: TObject);
		procedure FormShow(Sender: TObject);
	end;

var
	Moneys: TMoneys;

implementation
{$R *.DFM}
uses _Main, _Results, _Tips;

procedure TMoneys.ResetClick(Sender: TObject);
var i: byte;
begin
	if MsgDlg('Skuten si pejete nastavit vchoz obnosy?', mtConfirmation, mb_YesNo) = mrYes then begin
		for i:= 0 to 3 do Player [i].Money:= 0;
		FormShow(Sender);
	end;
end;

procedure TMoneys.FormShow(Sender: TObject);
var i: byte;
begin
	for i:= 0 to 3 do begin
		TLabel(FindComponent(Format('Money%d', [i]))).Caption:= Money(Player [i].Money);
		if Player [i].Money > 0 then TLabel(FindComponent(Format('Name%d', [i]))).Font.Color:= clBlue
		else if Player [i].Money < 0 then TLabel(FindComponent(Format('Name%d', [i]))).Font.Color:= clRed
		else TLabel(FindComponent(Format('Name%d', [i]))).Font.Color:= clWindowText;
	end;
end;

procedure TMoneys.Load;
var i: byte;
begin
	with TRegIni.Create('Software\Jakub Vrna\tyka') do try
		for i:= 0 to 3 do Player[i].Money:= ReadInteger(Format('Money%d', [i]), 0);
		Trumper:= ReadInteger('Trumper', 3);
		Results.Moneys.Checked:= ReadBool('AutoShowMoneys', True);
		Tips.ShowTips.Checked:= ReadBool('ShowTips', True);
		Tips.CurrentTip:= ReadInteger('CurrentTip', TotalTips-1) + 1;
		Tips.Tip.Caption:= TipText [Tips.CurrentTip mod TotalTips];
	finally Free;
	end;
end;

procedure TMoneys.Save;
var i: byte;
begin
	with TRegIni.Create('Software\Jakub Vrna\tyka') do try
		for i:= 0 to 3 do WriteInteger(Format('Money%d', [i]), Player[i].Money);
		WriteInteger('Trumper', Trumper);
		WriteBool('AutoShowMoneys', Results.Moneys.Checked);
		WriteBool('ShowTips', Tips.ShowTips.Checked);
		WriteInteger('CurrentTip', Tips.CurrentTip);
	finally Free;
	end;
end;

end.

